# RuleGroups

ruleGroups

## list RuleGroup (master: default)

> Represents a group for organizing rules.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Available to Promise REST API","version":"3.2.0"},"tags":[{"name":"ruleGroups","description":"ruleGroups"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/available-to-promise"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"ruleGroup.default":{"title":"Rule Group (Master: default)","type":"object","properties":{"_entity":{"type":"string","default":"ruleGroup"},"ruleGroupId":{"type":"string"},"productStoreId":{"type":"string"},"groupName":{"type":"string"},"groupTypeEnumId":{"type":"string"},"statusId":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"jobName":{"type":"string"},"description":{"type":"string"},"createdByUser":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedDate":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"decisionRules":{"type":"array","items":{"$ref":"#/components/schemas/rule"}}}},"rule":{"title":"Decision Rule","type":"object","properties":{"_entity":{"type":"string","default":"rule"},"ruleId":{"type":"string"},"ruleGroupId":{"type":"string"},"ruleName":{"type":"string"},"statusId":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"createdDate":{"type":"string","format":"date-time"},"createdByUser":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/ruleGroups":{"get":{"tags":["ruleGroups"],"summary":"list RuleGroup (master: default)","description":"Represents a group for organizing rules.","parameters":[{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"ruleGroupId","in":"query","required":false,"description":"Unique identifier for the group"},{"schema":{"type":"string","format":""},"name":"productStoreId","in":"query","required":false,"description":"Unique identifier for the product store"},{"schema":{"type":"string","format":""},"name":"groupName","in":"query","required":false,"description":"Name of the group."},{"schema":{"type":"string","format":""},"name":"groupTypeEnumId","in":"query","required":false,"description":"Type of the group."},{"schema":{"type":"string","format":""},"name":"statusId","in":"query","required":false,"description":"Status identifier for the rule group."},{"schema":{"type":"number","format":"int64"},"name":"sequenceNum","in":"query","required":false,"description":"Sequence number for ordering."},{"schema":{"type":"string","format":""},"name":"jobName","in":"query","required":false,"description":"moqui.service.job.Service reference"},{"schema":{"type":"string","format":""},"name":"description","in":"query","required":false,"description":"Description or additional information about the group."},{"schema":{"type":"string","format":""},"name":"createdByUser","in":"query","required":false,"description":"User login ID of the creator"},{"schema":{"type":"string","format":"date-time"},"name":"createdDate","in":"query","required":false,"description":"Date and time when the group was created"},{"schema":{"type":"string","format":"date-time"},"name":"lastModifiedDate","in":"query","required":false,"description":"Date and time when the group was updated"},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ruleGroup.default"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## store RuleGroup

> Represents a group for organizing rules.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Available to Promise REST API","version":"3.2.0"},"tags":[{"name":"ruleGroups","description":"ruleGroups"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/available-to-promise"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"ruleGroup.PK":{"title":"Rule Group","type":"object","properties":{"_entity":{"type":"string","default":"ruleGroup.PK"},"ruleGroupId":{"type":"string"}}},"ruleGroup":{"title":"Rule Group","type":"object","properties":{"_entity":{"type":"string","default":"ruleGroup"},"ruleGroupId":{"type":"string"},"productStoreId":{"type":"string"},"groupName":{"type":"string"},"groupTypeEnumId":{"type":"string"},"statusId":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"jobName":{"type":"string"},"description":{"type":"string"},"createdByUser":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedDate":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/ruleGroups":{"post":{"tags":["ruleGroups"],"summary":"store RuleGroup","description":"Represents a group for organizing rules.","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ruleGroup.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ruleGroup"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ruleGroup"}}},"required":false}}}}}
```

## one RuleGroup (master: default)

> Represents a group for organizing rules.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Available to Promise REST API","version":"3.2.0"},"tags":[{"name":"ruleGroups","description":"ruleGroups"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/available-to-promise"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"ruleGroup.default":{"title":"Rule Group (Master: default)","type":"object","properties":{"_entity":{"type":"string","default":"ruleGroup"},"ruleGroupId":{"type":"string"},"productStoreId":{"type":"string"},"groupName":{"type":"string"},"groupTypeEnumId":{"type":"string"},"statusId":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"jobName":{"type":"string"},"description":{"type":"string"},"createdByUser":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedDate":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"decisionRules":{"type":"array","items":{"$ref":"#/components/schemas/rule"}}}},"rule":{"title":"Decision Rule","type":"object","properties":{"_entity":{"type":"string","default":"rule"},"ruleId":{"type":"string"},"ruleGroupId":{"type":"string"},"ruleName":{"type":"string"},"statusId":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"createdDate":{"type":"string","format":"date-time"},"createdByUser":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/ruleGroups/{ruleGroupId}":{"get":{"tags":["ruleGroups"],"summary":"one RuleGroup (master: default)","description":"Represents a group for organizing rules.","parameters":[{"schema":{"type":"string"},"name":"ruleGroupId","in":"path","required":true,"description":"Unique identifier for the group"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ruleGroup.default"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## store RuleGroup (master: default)

> Represents a group for organizing rules.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Available to Promise REST API","version":"3.2.0"},"tags":[{"name":"ruleGroups","description":"ruleGroups"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/available-to-promise"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"ruleGroup.default.PK":{"title":"Rule Group (Master: default)","type":"object","properties":{"_entity":{"type":"string","default":"ruleGroup.PK"},"ruleGroupId":{"type":"string"}}},"ruleGroup.default":{"title":"Rule Group (Master: default)","type":"object","properties":{"_entity":{"type":"string","default":"ruleGroup"},"ruleGroupId":{"type":"string"},"productStoreId":{"type":"string"},"groupName":{"type":"string"},"groupTypeEnumId":{"type":"string"},"statusId":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"jobName":{"type":"string"},"description":{"type":"string"},"createdByUser":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedDate":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"decisionRules":{"type":"array","items":{"$ref":"#/components/schemas/rule"}}}},"rule":{"title":"Decision Rule","type":"object","properties":{"_entity":{"type":"string","default":"rule"},"ruleId":{"type":"string"},"ruleGroupId":{"type":"string"},"ruleName":{"type":"string"},"statusId":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"createdDate":{"type":"string","format":"date-time"},"createdByUser":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/ruleGroups/{ruleGroupId}":{"post":{"tags":["ruleGroups"],"summary":"store RuleGroup (master: default)","description":"Represents a group for organizing rules.","parameters":[{"schema":{"type":"string"},"name":"ruleGroupId","in":"path","required":true,"description":"Unique identifier for the group"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ruleGroup.default.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ruleGroup.default"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ruleGroup.default"}}},"required":false}}}}}
```

## list DecisionRule

> Represents a rule, defining conditions and actions logic.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Available to Promise REST API","version":"3.2.0"},"tags":[{"name":"ruleGroups","description":"ruleGroups"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/available-to-promise"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"rule":{"title":"Decision Rule","type":"object","properties":{"_entity":{"type":"string","default":"rule"},"ruleId":{"type":"string"},"ruleGroupId":{"type":"string"},"ruleName":{"type":"string"},"statusId":{"type":"string"},"sequenceNum":{"type":"number","format":"int64"},"createdDate":{"type":"string","format":"date-time"},"createdByUser":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/ruleGroups/{ruleGroupId}/rules":{"get":{"tags":["ruleGroups"],"summary":"list DecisionRule","description":"Represents a rule, defining conditions and actions logic.","parameters":[{"schema":{"type":"string"},"name":"ruleGroupId","in":"path","required":true,"description":"Unique identifier for the rule group."},{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"ruleId","in":"query","required":false,"description":"Unique identifier for the rule."},{"schema":{"type":"string","format":""},"name":"ruleName","in":"query","required":false,"description":"Name of the rule."},{"schema":{"type":"string","format":""},"name":"statusId","in":"query","required":false,"description":"Status of the rule."},{"schema":{"type":"number","format":"int64"},"name":"sequenceNum","in":"query","required":false,"description":"Sequence number for ordering."},{"schema":{"type":"string","format":"date-time"},"name":"createdDate","in":"query","required":false,"description":"Date and time when the rule was created."},{"schema":{"type":"string","format":""},"name":"createdByUser","in":"query","required":false,"description":"User login ID of the creator."},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/rule"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## POST /ruleGroups/{ruleGroupId}/runNow

> scheduleNow RuleGroup

```json
{"openapi":"3.1.1","info":{"title":"Commerce Available to Promise REST API","version":"3.2.0"},"tags":[{"name":"ruleGroups","description":"ruleGroups"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/available-to-promise"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.rule.DecisionRuleServices.scheduleNowRuleGroup.Out":{"type":"object","properties":{"jobRunId":{"type":"string"}}}}},"paths":{"/ruleGroups/{ruleGroupId}/runNow":{"post":{"tags":["ruleGroups"],"summary":"scheduleNow RuleGroup","description":null,"parameters":[{"schema":{"type":"string"},"name":"ruleGroupId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.rule.DecisionRuleServices.scheduleNowRuleGroup.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## GET /ruleGroups/{ruleGroupId}/schedule

> get RuleGroupSchedule

```json
{"openapi":"3.1.1","info":{"title":"Commerce Available to Promise REST API","version":"3.2.0"},"tags":[{"name":"ruleGroups","description":"ruleGroups"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/available-to-promise"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.rule.DecisionRuleServices.getRuleGroupSchedule.Out":{"type":"object","properties":{"schedule":{"type":"object","properties":{"jobName":{"type":"string"},"description":{"type":"string"},"serviceName":{"type":"string"},"transactionTimeout":{"type":"integer","format":"int64"},"topic":{"type":"string"},"localOnly":{"type":"string"},"cronExpression":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"},"repeatCount":{"type":"integer","format":"int64"},"paused":{"type":"string"},"expireLockTime":{"type":"integer","format":"int64"},"minRetryTime":{"type":"integer","format":"int64"},"priority":{"type":"integer","format":"int64"},"parentJobName":{"type":"string"},"jobTypeEnumId":{"type":"string"},"permissionGroupId":{"type":"string"},"instanceOfProductId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}}}},"paths":{"/ruleGroups/{ruleGroupId}/schedule":{"get":{"tags":["ruleGroups"],"summary":"get RuleGroupSchedule","description":null,"parameters":[{"schema":{"type":"string"},"name":"ruleGroupId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.rule.DecisionRuleServices.getRuleGroupSchedule.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## POST /ruleGroups/{ruleGroupId}/schedule

> store RuleGroupSchedule

```json
{"openapi":"3.1.1","info":{"title":"Commerce Available to Promise REST API","version":"3.2.0"},"tags":[{"name":"ruleGroups","description":"ruleGroups"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/available-to-promise"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.rule.DecisionRuleServices.storeRuleGroupSchedule.Out":{"type":"object","properties":{"jobName":{"type":"string"}}},"co.hotwax.rule.DecisionRuleServices.storeRuleGroupSchedule.In":{"type":"object","properties":{"ruleGroupId":{"type":"string"},"systemMessageRemoteId":{"type":"string"},"transactionTimeout":{"type":"integer","format":"int64"},"topic":{"type":"string"},"localOnly":{"type":"string"},"cronExpression":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"},"repeatCount":{"type":"integer","format":"int64"},"paused":{"type":"string"},"expireLockTime":{"type":"integer","format":"int64"},"minRetryTime":{"type":"integer","format":"int64"},"priority":{"type":"integer","format":"int64"},"parentJobName":{"type":"string"},"jobTypeEnumId":{"type":"string"},"permissionGroupId":{"type":"string"},"instanceOfProductId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}},"required":["ruleGroupId","systemMessageRemoteId"]}}},"paths":{"/ruleGroups/{ruleGroupId}/schedule":{"post":{"tags":["ruleGroups"],"summary":"store RuleGroupSchedule","description":null,"parameters":[{"schema":{"type":"string"},"name":"ruleGroupId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.rule.DecisionRuleServices.storeRuleGroupSchedule.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.rule.DecisionRuleServices.storeRuleGroupSchedule.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.rule.DecisionRuleServices.storeRuleGroupSchedule.In"}}},"required":true}}}}}
```

## list RuleGroupRun

> Represents the execution and results of rule group runs, including information about errors and outcomes.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Available to Promise REST API","version":"3.2.0"},"tags":[{"name":"ruleGroups","description":"ruleGroups"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/available-to-promise"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"ruleGroupRuns":{"title":"Rule Group Run","type":"object","properties":{"_entity":{"type":"string","default":"ruleGroupRuns"},"ruleGroupRunId":{"type":"string"},"ruleGroupId":{"type":"string"},"productStoreId":{"type":"string"},"createdByUser":{"type":"string"},"hasError":{"type":"string"},"startDate":{"type":"string","format":"date-time"},"endDate":{"type":"string","format":"date-time"},"ruleGroupRunResult":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/ruleGroups/{ruleGroupId}/ruleGroupRuns":{"get":{"tags":["ruleGroups"],"summary":"list RuleGroupRun","description":"Represents the execution and results of rule group runs, including information about errors and outcomes.","parameters":[{"schema":{"type":"string"},"name":"ruleGroupId","in":"path","required":true,"description":"Unique identifier for the rule group."},{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"ruleGroupRunId","in":"query","required":false,"description":"Unique identifier for the rule group run."},{"schema":{"type":"string","format":""},"name":"productStoreId","in":"query","required":false,"description":"Unique identifier for the product store."},{"schema":{"type":"string","format":""},"name":"createdByUser","in":"query","required":false,"description":"User login ID of the creator."},{"schema":{"type":"string","format":""},"name":"hasError","in":"query","required":false,"description":"Indicator for the presence of errors."},{"schema":{"type":"string","format":"date-time"},"name":"startDate","in":"query","required":false,"description":"Start date of the rule group run."},{"schema":{"type":"string","format":"date-time"},"name":"endDate","in":"query","required":false,"description":"End date of the rule group run."},{"schema":{"type":"string","format":""},"name":"ruleGroupRunResult","in":"query","required":false,"description":"Result or outcome of the rule group run."},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ruleGroupRuns"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/components/available-to-promise/rulegroups.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
